package dbmanager

// DbManager defines the interface for database operations
type DbManager interface {
	Connect() error
	Disconnect() error
	Create(entityType string, entity interface{}) error
	GetByID(entityType string, id string) (interface{}, error)
	Update(entityType string, entity interface{}) error
	Delete(entityType string, id string) error
	List(entityType string, filter map[string]interface{}) ([]interface{}, error)
	Exec(query string, args ...interface{}) (interface{}, error)
}
